/*
 * pointers.c
 *
 * Computer Science 50, Fall 2011
 * section4
 *
 * Practice with pointers and the different meanings of '*'.
 */

#include <stdio.h>

int
main(void)
{

    int a = 3, b = 4, c = 5;
    int *pa = &a, *pb = &b, *pc = &c;
    
    printf("a = b * c;\n");
    a = b * c;
    printf("a = %d\n\n", a);

    printf("a *= c;\n");
    a *= c;
    printf("a = %d\n\n", a);

    printf("b = *pa;\n");
    b = *pa;
    printf("b = %d\n\n", b);

    printf("pc = pa;\n\n");
    pc = pa;

    printf("*pb = b * c;\n");
    *pb = b * c;
    printf("b = *pb = %d\n\n", *pb);
    
    printf("c = (*pa) * (*pc);\n");
    c = (*pa) * (*pc);
    printf("c = %d\n", c);
}
